TagLib::StringList Class Reference

A list of strings. More...

`#include <tstringlist.h>`

Inheritance diagram for TagLib::StringList:
[legend]
Collaboration diagram for TagLib::StringList:
[legend]

## Public Member Functions

TAGLIB_EXPORT | StringList ()
TAGLIB_EXPORT | StringList (const StringList &l)
TAGLIB_EXPORT | StringList (std::initializer_list< String > init)
TAGLIB_EXPORT StringList & | operator= (const StringList &)
TAGLIB_EXPORT StringList & | operator= (std::initializer_list< String > init)
TAGLIB_EXPORT | StringList (const String &s)
TAGLIB_EXPORT | StringList (const ByteVectorList &bl, String::Type t=String::Latin1)
TAGLIB_EXPORT | ~StringList ()
TAGLIB_EXPORT String | toString (const String &separator=" ") const
TAGLIB_EXPORT StringList & | append (const String &s)
TAGLIB_EXPORT StringList & | append (const StringList &l)
Public Member Functions inherited from TagLib::List< String >
| List ()
| ~List ()
Iterator | begin ()
ConstIterator | cbegin () const
Iterator | end ()
ConstIterator | cend () const
Iterator | insert (Iterator it, const String &item)
List< String > & | sortedInsert (const String &value, bool unique=false)
List< String > & | append (const String &item)
List< String > & | prepend (const String &item)
List< String > & | clear ()
unsigned int | size () const
bool | isEmpty () const
Iterator | find (const String &value)
ConstIterator | cfind (const String &value) const
bool | contains (const String &value) const
Iterator | erase (Iterator it)
const String & | front () const
const String & | back () const
void | setAutoDelete (bool autoDelete)
bool | autoDelete () const
String & | operator[] (unsigned int i)
List< String > & | operator= (const List< String > &l)
void | swap (List< String > &l) noexcept
bool | operator== (const List< String > &l) const
bool | operator!= (const List< String > &l) const
void | sort ()

## Static Public Member Functions

static TAGLIB_EXPORT StringList | split (const String &s, const String &pattern)

## Related Symbols

(Note that these are not member symbols.)
std::ostream TAGLIB_EXPORT & | operator<< (std::ostream &s, const TagLib::StringList &l)

## Additional Inherited Members

Protected Member Functions inherited from TagLib::List< String >
void | detach ()

## Detailed Description

A list of strings.

This is a specialization of the List class with some convenience members for string operations.

## Constructor & Destructor Documentation

## StringList() [1/5]

TAGLIB_EXPORT TagLib::StringList::StringList | ( |  | ) |

Constructs an empty StringList.

References TAGLIB_EXPORT.

Referenced by append(), append(), operator=(), operator=(), split(), and StringList().

## StringList() [2/5]

TAGLIB_EXPORT TagLib::StringList::StringList | ( | const StringList & | l | ) |

Make a shallow, implicitly shared, copy of l. Because this is implicitly shared, this method is lightweight and suitable for pass-by-value usage.

References StringList(), and TAGLIB_EXPORT.

## StringList() [3/5]

TAGLIB_EXPORT TagLib::StringList::StringList | ( | std::initializer_list< String > | init | ) |

Construct a StringList with the contents of the braced initializer list.

References TAGLIB_EXPORT.

## StringList() [4/5]

TAGLIB_EXPORT TagLib::StringList::StringList | ( | const String & | s | ) |

Constructs a StringList with s as a member.

References TAGLIB_EXPORT.

## StringList() [5/5]

TAGLIB_EXPORT TagLib::StringList::StringList | ( | const ByteVectorList & | bl,
|  | String::Type | t = String::Latin1 )

Makes a deep copy of the data in bl.

Note
  This should only be used with the 8-bit codecs Latin1 and UTF8, when used with other codecs it will simply print a warning and exit.

References TagLib::String::Latin1, and TAGLIB_EXPORT.

## ~StringList()

TAGLIB_EXPORT TagLib::StringList::~StringList | ( |  | ) |

Destroys this StringList instance.

References TAGLIB_EXPORT.

## Member Function Documentation

## append() [1/2]

TAGLIB_EXPORT StringList & TagLib::StringList::append | ( | const String & | s | ) |

Appends s to the end of the list and returns a reference to the list.

References StringList(), and TAGLIB_EXPORT.

## append() [2/2]

TAGLIB_EXPORT StringList & TagLib::StringList::append | ( | const StringList & | l | ) |

Appends all of the values in l to the end of the list and returns a reference to the list.

References StringList(), and TAGLIB_EXPORT.

## operator=() [1/2]

TAGLIB_EXPORT StringList & TagLib::StringList::operator= | ( | const StringList & |  | ) |

References StringList(), and TAGLIB_EXPORT.

## operator=() [2/2]

TAGLIB_EXPORT StringList & TagLib::StringList::operator= | ( | std::initializer_list< String > | init | ) |

References StringList(), and TAGLIB_EXPORT.

## split()

TAGLIB_EXPORT StringList TagLib::StringList::split | ( | const String & | s,
|  | const String & | pattern )

static

Splits the String s into several strings at pattern. This will not include the pattern in the returned strings.

References StringList().

## toString()

TAGLIB_EXPORT String TagLib::StringList::toString | ( | const String & | separator = " " | ) | const

Concatenate the list of strings into one string separated by separator.

References TAGLIB_EXPORT.

## Friends And Related Symbol Documentation

## operator<<()

std::ostream TAGLIB_EXPORT & operator<< | ( | std::ostream & | s,
|  | const TagLib::StringList & | l )

related

Send the StringList to an output stream.

References TAGLIB_EXPORT.

The documentation for this class was generated from the following file:

- tstringlist.h